%Funkce theta se volá při kliknutí na tlačítko exportovat graf u prvního a
%druhého grafu. Uživateli se otevře okno kde si zvolí cestu k cílovému
%místu pro uložení souboru csv s daty pro zvolený graf. Jako default název
%souboru se uživateli zobrazí datum-čas-název grafu.

function  export(leg, master_str,val, datay, naag)

if ~isempty(val)
       frow = '';
     for i =1:length(val)
        if isempty(frow)
            frow = ['teplota' ',' leg{i}];
        else
            frow = [frow ',' 'teplota' ',' leg{i}];
        end
     end
    d = datestr(now, 'yyyy-mmm-dd-HH-MM-SS');
    nazevX = [d naag]; 
    [FileName,PathName] = uiputfile('*.csv','Uložit soubor',nazevX);
    if FileName ~=0
        nazev = [PathName FileName];
        fid = fopen(nazev, 'w');  
        fprintf(fid,'%s\n', frow);
        fclose(fid);
        x = []; 
        y = [];
        for i = 1:length(val) 
            [x(i) y(i)]=size(master_str{val(i)}.teplota);
        end
        mm = max(y);
        data = zeros([mm 2*length(val)]);
        sloupec = 1;
        for i =1:length(val) 
            if datay == 1
                 data((1:y(i)),sloupec:sloupec+1) = [master_str{val(i)}.teplota' master_str{val(i)}.zarovnana_mat_y'];
            else
                 data((1:y(i)),sloupec:sloupec+1) = [master_str{val(i)}.teplota' master_str{val(i)}.theta'];
            end
                 sloupec = sloupec+2;
        end

        dlmwrite(nazev, data, '-append');
    end
else
     warndlg('Chyba - není vykreslený graf', 'Chyba');
end

